%define svn 0
%define release %mkrel 4

%define name tracker
%define api 0.8
%define major		0
%define libname		%mklibname %{name} %api %{major}
%define develname	%mklibname %{name} -d

%define build_evo 1

Summary:	Desktop-neutral metadata-based search framework
Name:		%{name}
Version:	0.8.17
Release:	%{release}
%if %svn
Source0:	%{name}-%{svn}.tar.bz2
%else
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
%endif
Patch0: tracker-0.9.17-fix-evolution-build.patch
Patch1: tracker-0.8.17-poppler-0.16.patch
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.tracker-project.org
BuildRequires:	unac-devel
BuildRequires:	UPower-devel
BuildRequires:	libxine-devel
BuildRequires:	id3lib-devel
BuildRequires:	sqlite3-devel >= 3.6.16
BuildRequires:	dbus-glib-devel > 0.82-1
BuildRequires:	glib2-devel >= 2.24
BuildRequires:	gtk+2-devel >= 2.18
BuildRequires:	gnome-panel-devel
BuildRequires:	zlib-devel
BuildRequires:	libgstreamer-plugins-base-devel >= 0.10
BuildRequires:	libpoppler-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	libvorbis-devel
BuildRequires:	png-devel
BuildRequires:	libexif-devel
BuildRequires:	libgsf-devel
BuildRequires:	gamin-devel
BuildRequires:	libgnome2-devel
BuildRequires:	gnomeui2-devel
BuildRequires:	gnome-desktop-devel
BuildRequires:	libnotify-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpoppler-glib-devel
BuildRequires:	raptor-devel
BuildRequires:	enca-devel
BuildRequires:	libgee-devel
BuildRequires:	libiptcdata-devel
BuildRequires:	totem-plparser-devel
BuildRequires:	wv2-devel
BuildRequires:  libuuid-devel
BuildRequires:	exempi-devel >= 2.1.0
BuildRequires:	imagemagick
BuildRequires:  graphviz
BuildRequires:	intltool
BuildRequires:  gtk-doc
BuildRequires:  docbook-dtd412-xml
BuildRequires:  desktop-file-utils
#need by patch0
BuildRequires:  vala
#if %svn
BuildRequires:	gnome-common
#endif
Requires:	odt2txt
#gw libtracker-common is in the main package and not provided
%define _requires_exceptions libtracker-common

%description
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package common
Summary:	Graphical search tool for Tracker search framework
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}

%description common
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient. This package contains common
files for the tracker framework.

%package search-tool
Summary:	Graphical search tool for Tracker search framework
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}
Requires:	%{name}-common = %{version}

%description search-tool
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient. This package contains the
GNOME-based standalone graphical search tool for the tracker framework.

%package preferences
Summary:	Configuration tool for Tracker search framework
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}
Requires:	%{name}-common = %{version}

%description preferences
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient. This package contains the
GNOME-based configuration tool for the tracker framework.

%package applet
Summary:	Panel applet for Tracker search framework
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}
Requires:	%{name}-common = %{version}

%description applet
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient. This package contains a
panel applet for configuring and using Tracker.

%if %build_evo
%package -n evolution-tracker
Group:Networking/Mail
Summary: Integrate Evolution with the Tracker desktop search
Requires: evolution
Requires:	%{name} = %{version}
BuildRequires:	evolution-devel
#gw libtool dep of evo:
BuildRequires: gnome-pilot-devel

%description -n evolution-tracker
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient. This package contains an
evolution plugin for Tracker integration.
%endif

%package -n nautilus-tracker
Group: Graphical desktop/GNOME
Summary: Nautilus integration of tracker
Requires:	%{name} = %{version}
BuildRequires: nautilus-devel

%description -n nautilus-tracker
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient. This package contains an
nautilus plugin for Tracker integration.


%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library of Tracker

%description -n %{libname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{develname}
Group:		Development/C
Summary:	Development library of Tracker
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname tracker 0 -d}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%prep
%if %svn
%setup -q -n %{name}
%else
%setup -q
%endif
%apply_patches
#autoreconf -fi

%build
%if %svn
./autogen.sh
%endif
%configure2_5x --enable-gtk-doc \
--enable-libvorbis --enable-unac \
%if !%build_evo
--disable-miner-evolution
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

# do not start under KDE
desktop-file-install  --dir=%{buildroot}/%{_sysconfdir}/xdg/autostart --remove-only-show-in=KDE %{buildroot}/%{_sysconfdir}/xdg/autostart/*.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-miner-fs.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-status-icon.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-store.desktop
%{_bindir}/%{name}-control
%{_bindir}/%{name}-explorer
%{_bindir}/%{name}-import
%{_bindir}/%{name}-info
%{_bindir}/%{name}-search
%{_bindir}/%{name}-sparql
%{_bindir}/%{name}-status-icon
%{_bindir}/%{name}-stats
%{_bindir}/%{name}-status
%{_bindir}/%{name}-tag
%{_datadir}/%{name}
%{_libdir}/%{name}-%{api}
%_libexecdir/tracker-extract
%{_libexecdir}/%{name}-miner-fs
%{_libexecdir}/%{name}-store
%_libexecdir/tracker-writeback
%{_mandir}/man1/tracker-control.1*
%{_mandir}/man1/tracker-extract.1*
%{_mandir}/man1/tracker-import.1*
%{_mandir}/man1/tracker-info.1*
%{_mandir}/man1/tracker-miner-fs.1*
%{_mandir}/man1/tracker-search.1*
%{_mandir}/man1/tracker-sparql.1*
%{_mandir}/man1/tracker-stats.1*
%{_mandir}/man1/tracker-status.1*
%{_mandir}/man1/tracker-status-icon.1*
%{_mandir}/man1/tracker-store.1*
%{_mandir}/man1/tracker-tag.1*
%{_mandir}/man5/tracker-extract.cfg.5*
%{_mandir}/man5/tracker-fts.cfg.5*
%{_mandir}/man5/tracker-miner-fs.cfg.5*
%{_mandir}/man5/tracker-store.cfg.5*
%_datadir/dbus-1/services/org.freedesktop.Tracker1.Extract.service
%_datadir/dbus-1/services/org.freedesktop.Tracker1.Miner*
%_datadir/dbus-1/services/org.freedesktop.Tracker1.service

%files common
%defattr(-,root,root)
%{_iconsdir}/hicolor/*/apps/%{name}.*

%files search-tool
%defattr(-,root,root)
%{_bindir}/tracker-search-tool
%{_datadir}/applications/tracker-search-tool.desktop
%{_mandir}/man1/tracker-search-tool.1*

%files preferences
%defattr(-,root,root)
%{_bindir}/tracker-preferences
%{_datadir}/applications/tracker-preferences.desktop
%{_mandir}/man1/tracker-preferences.1*

%files applet
%defattr(-,root,root)
%_libdir/bonobo/servers/GNOME_Search_Bar_Applet.server
%_libexecdir/tracker-search-bar
%{_mandir}/man1/tracker-search-bar.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libtracker-client-%api.so.%{major}*
%{_libdir}/libtracker-extract-%api.so.%{major}*
%{_libdir}/libtracker-miner-%api.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/lib*a
%{_includedir}/*
%{_libdir}/pkgconfig/tracker-client-%{api}.pc
%{_libdir}/pkgconfig/tracker-extract-%{api}.pc
%{_libdir}/pkgconfig/tracker-miner-%{api}.pc
%_datadir/gtk-doc/html/libtracker-client
%_datadir/gtk-doc/html/libtracker-common
%_datadir/gtk-doc/html/libtracker-extract
%_datadir/gtk-doc/html/libtracker-miner
%_datadir/gtk-doc/html/ontology
%_datadir/vala/vapi/tracker-client-%api.vapi
%_datadir/vala/vapi/tracker-miner-%api.vapi
%_datadir/vala/vapi/tracker-miner-%api.deps
%_datadir/tracker-tests

%if %build_evo
%files -n evolution-tracker
%defattr(-,root,root)
%_libdir/evolution/*/plugins/liborg-freedesktop-Tracker-evolution-plugin.la
%_libdir/evolution/*/plugins/liborg-freedesktop-Tracker-evolution-plugin.so
%_libdir/evolution/*/plugins/org-freedesktop-Tracker-evolution-plugin.eplug
%endif

%files -n nautilus-tracker
%defattr(-,root,root)
%_libdir/nautilus/extensions-2.0/libnautilus-tracker-tags*




%changelog
* Sun Feb 06 2011 ahmad <ahmad> 0.8.17-4.mga1
+ Revision: 47732
- use generic BR

  + pterjan <pterjan>
    - Drop test on mdvver
    - Drop test on mdvver
    - imported package tracker


* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 0.8.17-3mdv2011.0
+ Revision: 626196
- fix build with poppler 0.16.0
- rebuild for new poppler

* Fri Sep 03 2010 Götz Waschk <waschk@mandriva.org> 0.8.17-2mdv2011.0
+ Revision: 575661
- only apply evolution patch for cooker
- disable evolution for 2010.1

* Thu Sep 02 2010 Götz Waschk <waschk@mandriva.org> 0.8.17-1mdv2011.0
+ Revision: 575529
- new version

* Thu Aug 19 2010 Götz Waschk <waschk@mandriva.org> 0.8.16-2mdv2011.0
+ Revision: 571374
- fix evolution build
- reenable evolution support

* Thu Aug 19 2010 Götz Waschk <waschk@mandriva.org> 0.8.16-1mdv2011.0
+ Revision: 571367
- update to new version 0.8.16
- enable evo for backports

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.8.15-2mdv2011.0
+ Revision: 566306
- disable evo plugin, does not build with evo 2.32
- rebuild for new poppler

* Fri Jul 16 2010 Götz Waschk <waschk@mandriva.org> 0.8.15-1mdv2011.0
+ Revision: 554278
- update to new version 0.8.15

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.8.14-1mdv2011.0
+ Revision: 550533
- update to new version 0.8.14
- bump glib dep

* Thu Jun 24 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.13-1mdv2010.1
+ Revision: 549100
- Release 0.8.13

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.12-2mdv2010.1
+ Revision: 548544
- Rebuild with latest eds

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.12-1mdv2010.1
+ Revision: 548364
- Release 0.8.12

* Fri Jun 11 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-1mdv2010.1
+ Revision: 547919
- Release 0.8.11
- Remove patches 0 & 1 (merged upstream)

* Fri May 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.7-2mdv2010.1
+ Revision: 545604
- Fix buildrequires
- Release 0.8.7
- Patch0: fix tracker UI in non-UTF8 locale (GNOME bug #616540)
- Patch1: handle renaming file to non-ascii filename in non-UTF8 locale (GNOME bug #619280)

* Mon May 17 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.6-1mdv2010.1
+ Revision: 544983
- Release 0.8.6

* Thu May 06 2010 Götz Waschk <waschk@mandriva.org> 0.8.5-1mdv2010.1
+ Revision: 543043
- new version
- update file list

* Thu Apr 29 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.4-1mdv2010.1
+ Revision: 540917
- Release 0.8.4

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-4mdv2010.1
+ Revision: 540147
- Patch0 (GIT): fix evolution plugin (GNOME bug #615930)
- Ensure tracker isn't started under KDE

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.8.3-2mdv2010.1
+ Revision: 539619
- rebuild so that shared libraries are properly stripped again

* Thu Apr 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-1mdv2010.1
+ Revision: 537832
- Release 0.8.3

* Thu Apr 15 2010 Götz Waschk <waschk@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 535101
- update to new version 0.8.2

* Tue Apr 13 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.1-2mdv2010.1
+ Revision: 534177
- Revert to stable release

* Mon Apr 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.9.0-1mdv2010.1
+ Revision: 533708
- update to 0.9.0

* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2010.1
+ Revision: 533208
- new version
- add tests to the devel package
- new version
- new API version

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 0.7.28-1mdv2010.1
+ Revision: 527548
- new version
- remove deskbar applet

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 0.7.27-2mdv2010.1
+ Revision: 527205
- make the devel package installable

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.7.27-1mdv2010.1
+ Revision: 525239
- new version
- drop patch and extra source

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.7.26-1mdv2010.1
+ Revision: 525062
- new version
- drop patches
- add missing file
- add vala vapi files to the devel package

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 0.7.25-2mdv2010.1
+ Revision: 519774
- fix evolution plugin for evo 2.29

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 0.7.25-1mdv2010.1
+ Revision: 518198
- fix build deps
- new version
- drop unac patch
- fix linking

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 0.7.24-3mdv2010.1
+ Revision: 517983
- reenable evolution plugin
- remove build workarounds

* Fri Mar 05 2010 Götz Waschk <waschk@mandriva.org> 0.7.24-2mdv2010.1
+ Revision: 514791
- fix crash when using unac (b.g.o 609850)

* Fri Mar 05 2010 Götz Waschk <waschk@mandriva.org> 0.7.24-1mdv2010.1
+ Revision: 514378
- update to new version 0.7.24

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 0.7.23-1mdv2010.1
+ Revision: 511649
- update to new version 0.7.23

* Thu Feb 25 2010 Götz Waschk <waschk@mandriva.org> 0.7.22-1mdv2010.1
+ Revision: 511278
- new version
- bump gtk dep to 2.18 and disable build options for older distributions

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 0.7.21-1mdv2010.1
+ Revision: 508492
- update to new version 0.7.21

* Sat Feb 13 2010 Götz Waschk <waschk@mandriva.org> 0.7.20-2mdv2010.1
+ Revision: 505601
- disable unac (b.g.o bug #609850)

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 0.7.20-1mdv2010.1
+ Revision: 504294
- new version
- update file list

* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 0.7.19-1mdv2010.1
+ Revision: 500937
- update to new version 0.7.19

* Thu Jan 28 2010 Götz Waschk <waschk@mandriva.org> 0.7.18-1mdv2010.1
+ Revision: 497685
- update to new version 0.7.18

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 0.7.17-3mdv2010.1
+ Revision: 497248
- rebuild for new libtotem-plparser

* Fri Jan 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.7.17-2mdv2010.1
+ Revision: 495041
- Remove obsolete requires

* Fri Jan 22 2010 Götz Waschk <waschk@mandriva.org> 0.7.17-1mdv2010.1
+ Revision: 494884
- new version
- update file list

* Fri Jan 15 2010 Götz Waschk <waschk@mandriva.org> 0.7.16-1mdv2010.1
+ Revision: 491751
- new version
- bump dbus-glib dep
- enable wv2
- remove autogen call

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.7.15-2mdv2010.1
+ Revision: 490639
- rebuild for new libjpeg

* Thu Jan 07 2010 Götz Waschk <waschk@mandriva.org> 0.7.15-1mdv2010.1
+ Revision: 487199
- update to new version 0.7.15

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.14-3mdv2010.1
+ Revision: 484886
- enable Ogg Vorbis extractor
- enable unac accent stripping
- update build deps
- update build deps for backports

* Thu Dec 31 2009 Götz Waschk <waschk@mandriva.org> 0.7.14-2mdv2010.1
+ Revision: 484503
- enable evolution backend for backports
- build with id3lib
- depend on odt2txt

* Tue Dec 29 2009 Götz Waschk <waschk@mandriva.org> 0.7.14-1mdv2010.1
+ Revision: 483302
- update to new version 0.7.14

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.7.13-1mdv2010.1
+ Revision: 481758
- new version
- fix gtk-doc build

* Sat Dec 19 2009 Götz Waschk <waschk@mandriva.org> 0.7.12-1mdv2010.1
+ Revision: 480086
- update build deps
- new version
- enable gtk-doc build
- add nautilus extension

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 0.7.11-1mdv2010.1
+ Revision: 476458
- new version
- disable evolution plugin

* Fri Dec 04 2009 Götz Waschk <waschk@mandriva.org> 0.7.10-2mdv2010.1
+ Revision: 473360
- new version
- update file list
- bump exempi dep

* Fri Nov 27 2009 Götz Waschk <waschk@mandriva.org> 0.7.9-1mdv2010.1
+ Revision: 470612
- new version
- add tracker-writeback
- disable format string Werror

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 0.7.8-1mdv2010.1
+ Revision: 467778
- update to new version 0.7.8

* Fri Nov 13 2009 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2010.1
+ Revision: 465718
- new version
- new libname
- drop patch
- update build deps
- update file list
- readd evolution plugin

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 0.6.95-4mdv2010.0
+ Revision: 419820
- rebuild for new libjpeg v7

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.95-3mdv2010.0
+ Revision: 378823
- new version
- rediff patch
- disable evolution plugin

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 0.6.94-3mdv2010.0
+ Revision: 377485
- rebuild for new poppler

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.6.94-2mdv2010.0
+ Revision: 374551
- rebuild for new evolution

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.6.94-1mdv2010.0
+ Revision: 371229
- fix build deps
- patch for new gmime
- update to new version 0.6.94

* Wed Apr 15 2009 Götz Waschk <waschk@mandriva.org> 0.6.93-2mdv2009.1
+ Revision: 367281
- fix installation on x86_64
- add evolution plugin

  + Michael Scherer <misc@mandriva.org>
    - define %%name before using it in the spec, to prevent weird failure about %%package debug
    - remove duplicate changelog, as this prevent srpm rebuild

  + Reinout van Schouwen <reinouts@mandriva.com>
    - new version 0.6.93

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 0.6.92-1mdv2009.1
+ Revision: 362826
- remove x86_64 installation workaround

  + Adam Williamson <awilliamson@mandriva.org>
    - new release 0.6.92 (thanks reinout)

* Fri Mar 13 2009 Götz Waschk <waschk@mandriva.org> 0.6.91-1mdv2009.1
+ Revision: 354731
- fix deskbar handler dir
- update to new version 0.6.91

* Wed Feb 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.90-1mdv2009.1
+ Revision: 339542
- Released version now also buildrequires intltool, not only svn version

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch
    - fix build
    - update build deps
    - update file list
    - update source URL

* Thu Jan 01 2009 Götz Waschk <waschk@mandriva.org> 0.6.6-8mdv2009.1
+ Revision: 323218
- fix format strings

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 08 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.6-7mdv2009.1
+ Revision: 300978
- rebuild (for xcb this time)

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 0.6.6-6mdv2009.1
+ Revision: 300241
- rebuild for new gnome-desktop
- rebuild for new  gnome-desktop

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.6.6-5mdv2009.0
+ Revision: 242252
- rebuild

  + Adam Williamson <awilliamson@mandriva.org>
    - really fix the gstreamer BR (tvignaud's version doesn't work on 2008)

* Mon Jun 30 2008 Thierry Vignaud <tv@mandriva.org> 0.6.6-4mdv2009.0
+ Revision: 230239
- fix gstreamer0.10-devel BR on x86_64
- rebuild for new libpoppler

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Adam Williamson <awilliamson@mandriva.org>
    - buildrequires libgstreamer0.10-devel not gstreamer0.10-devel (2008 doesn't have the latter provide)

* Mon Mar 03 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.6-1mdv2008.1
+ Revision: 177849
- add several buildrequires
- introduce package for the panel applet
- new release 0.6.6

* Thu Feb 28 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.5-1mdv2008.1
+ Revision: 176510
- Fix buildrequirements
- New upstream version

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.4-1mdv2008.1
+ Revision: 159409
- new release 0.6.4 (should fix #35497)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 96960
- new release 0.6.3

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.2-1mdv2008.0
+ Revision: 80588
- adjust build for new deskbar-applet module setup
- new release 0.6.2

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 63746
- package tracker-preferences manpage
- correct license
- new release 0.6.1

* Wed Jul 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 55100
- adjust buildrequires
- new release 0.6.0

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-0.598.1mdv2008.0
+ Revision: 41671
- drop X-Mandriva menu category
- drop old icons
- unversioned -devel package
- new svn snapshot 598 (fixes a crasher bug)

* Thu May 17 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-0.591.1mdv2008.0
+ Revision: 27570
- new snapshot 591, spec clean, don't BuildRequires libmagic (no longer used)


* Thu Mar 22 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-0.544.1mdv2007.1
+ Revision: 147979
- BuildRequires ImageMagick
- 0.6.0svn: more stable than 0.5.4, ignores temp dirs

* Sun Mar 04 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.4-2mdv2007.1
+ Revision: 132626
- really delete patch from SVN

* Fri Mar 02 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.4-1mdv2007.1
+ Revision: 130958
- BuildRequires ImageMagick (needed for icon generation)
- BuildRequires desktop-file-utils (needed to modify .desktop file during %%install)
- Import tracker

